Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SoundCapacity Class Reference

サウンド能力 More...

`#include <SoundCapacity.h>`

List of all members.

## Public Member Functions
virtual bool | refresh ()
| 更新
virtual bool | isCertifiedDriver () const
| Microsoft認定ドライバか.
virtual bool | isSupportedContinuousRate () const
| 連続的な周波数設定をサポートしているか
virtual bool | isEmulatedDriver () const
| エミュレートドライバか
virtual bool | isSupported16bitPrimaryBuffer () const
| 16bitプライマリバッファをサポートするか
virtual bool | isSupported8bitPrimaryBuffer () const
| 8bitプライマリバッファをサポートするか
virtual bool | isSupportedMonauralPrimaryBuffer () const
| モノラルプライマリバッファをサポートするか
virtual bool | isSupportedStereoPrimaryBuffer () const
| ステレオプライマリバッファをサポートするか
virtual bool | isSupported16bitSecondaryBuffer () const
| 16bitセカンダリバッファをサポートするか
virtual bool | isSupported8bitSecondaryBuffer () const
| 8bitセカンダリバッファをサポートするか
virtual bool | isSupportedMonauralSecondaryBuffer () const
| モノラルセカンダリバッファをサポートするか
virtual bool | isSupportedStereoSecondaryBuffer () const
| ステレオセカンダリバッファをサポートするか
virtual u_int | getMaxSecondarySampleRate () const
| セカンダリの最大サンプリングレート取得
virtual u_int | getMinSecondarySampleRate () const
| セカンダリの最小サンプリングレート取得
virtual String | toString () const
| 文字列への変換
## Friends
class | LampSound

## Detailed Description

サウンド能力

Definition at line 34 of file SoundCapacity.h.

## Member Function Documentation

virtual u_int Lamp::SoundCapacity::getMaxSecondarySampleRate | ( |  | ) | const`[inline, virtual]`

| セカンダリの最大サンプリングレート取得 Returns: セカンダリの最大サンプリングレート Definition at line 140 of file SoundCapacity.h. References u_int. Referenced by toString().

virtual u_int Lamp::SoundCapacity::getMinSecondarySampleRate | ( |  | ) | const`[inline, virtual]`

| セカンダリの最小サンプリングレート取得 Returns: セカンダリの最小サンプリングレート Definition at line 148 of file SoundCapacity.h. References u_int. Referenced by toString().

virtual bool Lamp::SoundCapacity::isCertifiedDriver | ( |  | ) | const`[inline, virtual]`

| Microsoft認定ドライバか. Returns: Microsoft認定ドライバならtrue Definition at line 49 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isEmulatedDriver | ( |  | ) | const`[inline, virtual]`

| エミュレートドライバか Returns: エミュレートドライバならtrue Definition at line 65 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupported16bitPrimaryBuffer | ( |  | ) | const`[inline, virtual]`

| 16bitプライマリバッファをサポートするか Returns: 16bitプライマリバッファをサポートするならtrue Definition at line 74 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupported16bitSecondaryBuffer | ( |  | ) | const`[inline, virtual]`

| 16bitセカンダリバッファをサポートするか Returns: 16bitセカンダリバッファをサポートするならtrue Definition at line 107 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupported8bitPrimaryBuffer | ( |  | ) | const`[inline, virtual]`

| 8bitプライマリバッファをサポートするか Returns: 8bitプライマリバッファをサポートするならtrue Definition at line 82 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupported8bitSecondaryBuffer | ( |  | ) | const`[inline, virtual]`

| 8bitセカンダリバッファをサポートするか Returns: 8bitセカンダリバッファをサポートするならtrue Definition at line 115 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupportedContinuousRate | ( |  | ) | const`[inline, virtual]`

| 連続的な周波数設定をサポートしているか Returns: 連続的な周波数設定をサポートしているならtrue Definition at line 57 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupportedMonauralPrimaryBuffer | ( |  | ) | const`[inline, virtual]`

| モノラルプライマリバッファをサポートするか Returns: モノラルプライマリバッファをサポートするならtrue Definition at line 90 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupportedMonauralSecondaryBuffer | ( |  | ) | const`[inline, virtual]`

| モノラルセカンダリバッファをサポートするか Returns: モノラルセカンダリバッファをサポートするならtrue Definition at line 123 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupportedStereoPrimaryBuffer | ( |  | ) | const`[inline, virtual]`

| ステレオプライマリバッファをサポートするか Returns: ステレオプライマリバッファをサポートするならtrue Definition at line 98 of file SoundCapacity.h. Referenced by toString().

virtual bool Lamp::SoundCapacity::isSupportedStereoSecondaryBuffer | ( |  | ) | const`[inline, virtual]`

| ステレオセカンダリバッファをサポートするか Returns: ステレオセカンダリバッファをサポートするならtrue Definition at line 131 of file SoundCapacity.h. Referenced by toString().

bool Lamp::SoundCapacity::refresh | ( |  | ) | `[virtual]`

| 更新 Returns: 成功すればtrue Definition at line 50 of file SoundCapacity.cpp. References DirectXFailed, and ErrorOut.

String Lamp::SoundCapacity::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Definition at line 124 of file SoundCapacity.cpp. References Lamp::String::format(), getMaxSecondarySampleRate(), getMinSecondarySampleRate(), isCertifiedDriver(), isEmulatedDriver(), isSupported16bitPrimaryBuffer(), isSupported16bitSecondaryBuffer(), isSupported8bitPrimaryBuffer(), isSupported8bitSecondaryBuffer(), isSupportedContinuousRate(), isSupportedMonauralPrimaryBuffer(), isSupportedMonauralSecondaryBuffer(), isSupportedStereoPrimaryBuffer(), and isSupportedStereoSecondaryBuffer().

The documentation for this class was generated from the following files:

- SoundCapacity.h
- SoundCapacity.cpp